%define luaver 5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           luadoc
Version:        3.0.1
Release:        %mkrel 8
Summary:        Documentation Generator Tool for the Lua language

Group:          Development/Other
License:        MIT
URL:            http://luadoc.luaforge.net/
Source0:        http://luaforge.net/frs/download.php/3185/%{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       lua
Requires:       lua-filesystem
Requires:       lua-logging

%description
LuaDoc is a documentation generator tool for Lua source code. It parses the
declarations and documentation comments in a set of Lua source files and
produces a set of XHTML pages describing the commented declarations and
functions.

The output is not limited to XHTML. Other formats can be generated by
implementing new doclets. The format of the documentation comments is also
flexible and can be customized by implementing new taglets.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} LUA_LIBDIR=$RPM_BUILD_ROOT/%{lualibdir} LUA_DIR=$RPM_BUILD_ROOT/%{luapkgdir} SYS_BINDIR=$RPM_BUILD_ROOT/%{_bindir} LUA_INTERPRETER=%{_bindir}/lua


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/us/*
%doc README
%{luapkgdir}/*
%{_bindir}/luadoc




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.0.1-8.mga4
+ Revision: 507602
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.1-7.mga3
+ Revision: 359075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 fwang <fwang> 3.0.1-6.mga3
+ Revision: 253739
- turn to lua 5.2

* Sun Mar 13 2011 shikamaru <shikamaru> 3.0.1-5.mga3
+ Revision: 70260
- imported package luadoc


* Sat Mar 12 2011 Rémy Clouard <shikamaru@mandvriva.org> 3.0.1-5.mga1
- clean spec (buildroot)
- fix invalid spec name (was luadocs.spec)

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.1-4mdv2011.0
+ Revision: 612778
- the mass rebuild of 2010.1 packages

* Tue Feb 02 2010 Rémy Clouard <shikamaru@mandriva.org> 3.0.1-3mdv2010.1
+ Revision: 499393
- rebuild for new lua-filesystem

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 3.0.1-2mdv2010.0
+ Revision: 439623
- rebuild

* Sun Dec 28 2008 Jérôme Soyer <saispo@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 320583
- Fix Requires
- import luadoc


